import 'package:meta/meta.dart';
import 'package:satu/core/models/flow/dao/transaction_dao.dart';


@immutable
class JournalState {
  const JournalState({this.items, this.tabIndex});

  factory JournalState.initial() => const JournalState(items: [], tabIndex: 0);

  final List<TransactionDao>? items;
  final int? tabIndex;

  JournalState copyWith({List<TransactionDao>? items, int? tabIndex}) {
    return JournalState(
        items: items ?? this.items, tabIndex: tabIndex ?? this.tabIndex);
  }
}
